javax.swing.colorchooser

## Class ColorChooserComponentFactory

- java.lang.Object
- - javax.swing.colorchooser.ColorChooserComponentFactory

    public class ColorChooserComponentFactory
    extends Object

A class designed to produce preconfigured "accessory" objects to insert into color choosers.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Method Summary

Methods
`static AbstractColorChooserPanel[]` `getDefaultChooserPanels()`
`static JComponent` `getPreviewPanel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefaultChooserPanels

    public static AbstractColorChooserPanel[] getDefaultChooserPanels()

#### getPreviewPanel

    public static JComponent getPreviewPanel()

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.